Package org.apache.commons.lang3.text.translate

## Class UnicodeUnescaper

- java.lang.Object
- - org.apache.commons.lang3.text.translate.CharSequenceTranslator
  - - org.apache.commons.lang3.text.translate.UnicodeUnescaper

    @Deprecated
    public class UnicodeUnescaper
    extends CharSequenceTranslator

Deprecated.
as of 3.6, use commons-text UnicodeUnescaper instead
Translates escaped Unicode values of the form \\u+\d\d\d\d back to Unicode. It supports multiple 'u' characters and will work with or without the +.

Since:
  3.0

### Constructor Summary

Constructors
`UnicodeUnescaper()` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`int` `translate​(java.lang.CharSequence input, int index, java.io.Writer out)` Deprecated. Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints.

### Methods inherited from class org.apache.commons.lang3.text.translate.CharSequenceTranslator

`hex, translate, translate, with`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnicodeUnescaper

    public UnicodeUnescaper()

Deprecated.

### Method Detail

#### translate

    public int translate​(java.lang.CharSequence input,
                         int index,
                         java.io.Writer out)
                  throws java.io.IOException

Deprecated.
Translate a set of codepoints, represented by an int index into a CharSequence, into another set of codepoints. The number of codepoints consumed must be returned, and the only IOExceptions thrown must be from interacting with the Writer so that the top level API may reliably ignore StringWriter IOExceptions.

Specified by:
  `translate` in class `CharSequenceTranslator`
Parameters:
  `input` - CharSequence that is being translated
  `index` - int representing the current point of translation
  `out` - Writer to translate the text to
Returns:
  int count of codepoints consumed
Throws:
  `java.io.IOException` - if and only if the Writer produces an IOException